net.sf.jasperreports.functions.annotations

## Class FunctionsInfo

- java.lang.Object
- - net.sf.jasperreports.functions.annotations.FunctionsInfo

-     public class FunctionsInfo
      extends java.lang.Object

  Version:
    $Id: FunctionBean.java 6184 2013-05-27 10:24:51Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_MESSAGES_BUNDLE`
    `static java.lang.String` | `PROPERTY_PARAMETER_OPTIONAL`
    `static java.lang.String` | `PROPERTY_PARAMETER_REQUIRED`
    `static java.lang.String` | `PROPERTY_SUFFIX_DESCRIPTION`
    `static java.lang.String` | `PROPERTY_SUFFIX_NAME`
    `static java.lang.String` | `PROPERTY_SUFFIX_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set<java.lang.String>` | `addCategories(FunctionCategories categories)`
    `protected java.lang.String` | `addCategoryClass(java.lang.Class<?> categoryClass)`
    `protected void` | `addFunction(java.lang.reflect.Method functionMethod, MessageProvider provider, java.util.Set<java.lang.String> categoryIds, java.lang.reflect.Method[] boundaryMethods)`
    `protected void` | `addFunctionClass(java.lang.Class<?> functionClass)`
    `protected void` | `addFunctionParameter(FunctionBean functionBean, FunctionParameter functionParameter, MessageProvider provider, java.lang.Class<?> type, boolean isRequired)`
    `protected void` | `addFunctions()`
    `java.util.Collection<FunctionCategoryBean>` | `getCategories()`
    `static FunctionsInfo` | `getInstance(JasperReportsContext jasperReportsContext, java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MESSAGES_BUNDLE

          public static final java.lang.String DEFAULT_MESSAGES_BUNDLE

      See Also:
        Constant Field Values

    - #### PROPERTY_SUFFIX_NAME

          public static final java.lang.String PROPERTY_SUFFIX_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_SUFFIX_DESCRIPTION

          public static final java.lang.String PROPERTY_SUFFIX_DESCRIPTION

      See Also:
        Constant Field Values

    - #### PROPERTY_SUFFIX_TYPE

          public static final java.lang.String PROPERTY_SUFFIX_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_PARAMETER_REQUIRED

          public static final java.lang.String PROPERTY_PARAMETER_REQUIRED

      See Also:
        Constant Field Values

    - #### PROPERTY_PARAMETER_OPTIONAL

          public static final java.lang.String PROPERTY_PARAMETER_OPTIONAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static FunctionsInfo getInstance(JasperReportsContext jasperReportsContext,
                                  java.util.Locale locale)

    - #### getCategories

          public java.util.Collection<FunctionCategoryBean> getCategories()

    - #### addFunctions

          protected void addFunctions()

    - #### addFunctionClass

          protected void addFunctionClass(java.lang.Class<?> functionClass)

    - #### addCategories

          protected java.util.Set<java.lang.String> addCategories(FunctionCategories categories)

    - #### addFunction

          protected void addFunction(java.lang.reflect.Method functionMethod,
                         MessageProvider provider,
                         java.util.Set<java.lang.String> categoryIds,
                         java.lang.reflect.Method[] boundaryMethods)

    - #### addFunctionParameter

          protected void addFunctionParameter(FunctionBean functionBean,
                                  FunctionParameter functionParameter,
                                  MessageProvider provider,
                                  java.lang.Class<?> type,
                                  boolean isRequired)

    - #### addCategoryClass

          protected java.lang.String addCategoryClass(java.lang.Class<?> categoryClass)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com